﻿@using Microsoft.AspNetCore.Identity
@using GentlemensGame.Areas.Identity.Pages.Account

@model IEnumerable<GentlemensGame.Models.Hand>

@inject SignInManager<ApplicationUser> SignInManager
@inject UserManager<ApplicationUser> UserManager

<head>
    <style>
        imgA {
            margin: 15px;
        }

        .selected {
            transform: scale(1.1,1.1);
        }
        #messagesList{
            height: 200px;
        }
    </style>
</head>

@{
    ViewData["Title"] = "Index";

}

<h1 id="gameName">Game @ViewBag.GameId.Id</h1>
<h2>Round 1</h2>

<div id="messagesList"></div>
<div id="userList"> </div>

<br>

<div id="@UserManager.GetUserAsync(User).Result.NickName">
    
    @foreach (var item in Model)
    {

        string card = item.CardId + ".svg";

        <img src="~/images/Cards/@card" height="150" />
    }

</div>



<div class="container">
    <div class="row">
        <div class="col-6">
            <input type="hidden" id="userInput" value="@UserManager.GetUserAsync(User).Result.NickName" />
            <input type="hidden" id="messageInput" value="" />
            <input type="hidden" id="sendButton" value="Play Card" />
        </div>
    </div>
</div>

<br>



@section Scripts
    {
    <script src="~/lib/signalr/dist/browser/signalr.js"></script>
    <script src="~/js/chat.js"></script>
    <script>
        var isLoaded = false;
        var hasMove = true;

        $('img').mouseenter(function () {
            $(this).addClass('selected');
        });
        $('img').mouseleave(function () {
            $('.selected').removeClass('selected');
            $(this).addClass('imgA');
        });

        $('img').bind("click", imgClick);

        function imgClick() {
            var source = $(this).attr('src');


            $(document).ready(function () {
                $("input[id=messageInput]").val(source);

            });
            $(document).ready(function () {
                $("input[id=sendButton]").click();
            });
            $(this).remove();

            var id = $(this).attr('src').replace("/images/Cards/", "").replace(".svg", "");
                $.ajax({
                    type: 'POST',
                    url: '@Url.Action("DelCardAddTuck", "Games")',
                    data: { cardId: id },

                    });


         }



        function tuck() {
            var cardsOnTable = $('#messagesList').children().length;
            if (cardsOnTable == 3) {
                setTimeout(function () {
                    $('#messagesList').children().remove();
                    $('img').bind("click", imgClick)
                }, 3000);


            }
        }





    </script>
}
